#!/bin/bash
#
#  tsync - a utility to sync remote encrypted copies of a tstore
#  Copyright (C) 2005  Kasper Dupont
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  with permission from the author any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id: tsync-syncsize.sh,v 1.2 2005/08/13 11:12:08 kasperd Exp $

if [ $# -lt 2 ]
then
        echo "Usage: $0 <infofile> <cmd>" 1>&2
        exit 1
fi

export $( cut -f1 -d'#' "$1" | grep = | tr -d ' \t' |
	awk '{split($1,a,"=");printf "TSYNC_%s=%s\n",toupper(a[1]),a[2]}'
)

shift

exec tsync-syncsize "$@"
